#pragma once

#include "SwiListCtrl.h"

class CParamList;

class CFuncParamCtrl
{
public:
	CFuncParamCtrl(void);
	~CFuncParamCtrl(void);

	void OnUserClick(NMHDR *pNMHDR, LRESULT *pResult);

	BOOL Initialize(CSwiListCtrl* pFuncParamCtrl);
	BOOL Display(CParamList* pFuncParams);

protected:
	CSwiListCtrl* m_pFuncParamCtrl;

	UINT m_nNumberOfItems;

	static bool CALLBACK GetItemProperties(LPARAM lParam, int nItem, int nSubItem, S_ITEMPROP& prop);
	static void CALLBACK PopulateEditBox(LPARAM lParam1, CEdit* pEdit);
};
